## fcitx5-table-other 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(fcitx-table-other VERSION 5.0.7)

find_package(ECM 1.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Gettext REQUIRED)
find_package(LibIMETable REQUIRED)
find_package(Fcitx5Utils REQUIRED)

option(ENABLE_DEPRECATED Off "Enable deprecated table")

add_subdirectory(icons)
add_subdirectory(tables)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.TableOther.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.TableOther.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.TableOther.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-table-other (5.0.7-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Feb 2022 22:14:00 -0500

fcitx5-table-other (5.0.6-1) unstable; urgency=medium

  [ Lu YaNing ]
  * Initial release. (Closes: #997812)

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 12:20:25 -0500

=== debian/control ===
Source: fcitx5-table-other
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Lu YaNing <dluyaning@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libboost-dev,
 libfcitx5utils-dev,
 libime-bin,
 libimecore-dev,
 libimetable-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-table-other
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-other.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-other
Rules-Requires-Root: no

Package: fcitx5-table-other
Architecture: all
Section: metapackages
Depends:
 ${misc:Depends},
Recommends:
 fcitx5-table-amharic,
 fcitx5-table-arabic,
 fcitx5-table-cns11643,
 fcitx5-table-compose,
 fcitx5-table-emoji,
 fcitx5-table-ipa-x-sampa,
 fcitx5-table-latex,
 fcitx5-table-malayalam-phonetic,
 fcitx5-table-rustrad,
 fcitx5-table-tamil-remington,
 fcitx5-table-thai,
 fcitx5-table-translit-ua,
 fcitx5-table-translit,
 fcitx5-table-viqr,
 fcitx5-table-yawerty,
Description: Additional table based input method for Fcitx 5
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This metapackage recommends all additional table based input methods provided
 by fcitx5-table-other project.

Package: fcitx5-table-amharic
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-amharic,
Description: Flexible Input Method Framework v5 - Amharic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Amharic table used by the Fcitx5 table engine.

Package: fcitx5-table-arabic
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-arabic,
Description: Flexible Input Method Framework v5 - Arabic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Arabic table used by the Fcitx5 table engine.

Package: fcitx5-table-cns11643
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-cns11643,
Description: Flexible Input Method Framework v5 - Cns11643 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cns11643 table used by the Fcitx5 table engine.

Package: fcitx5-table-compose
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-compose,
Description: Flexible Input Method Framework v5 - Compose table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Compose table used by the Fcitx5 table engine.

Package: fcitx5-table-emoji
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-emoji,
Description: Flexible Input Method Framework v5 - Emoji table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Emoji table used by the Fcitx5 table engine.

Package: fcitx5-table-ipa-x-sampa
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-ipa-x-sampa,
Description: Flexible Input Method Framework v5 - IPA-X-SAMPA table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides IPA-X-SAMPA table used by the Fcitx5 table engine.

Package: fcitx5-table-latex
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-latex,
Description: Flexible Input Method Framework v5 - LaTeX table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides LaTeX table used by the Fcitx5 table engine.

Package: fcitx5-table-malayalam-phonetic
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-malayalam-phonetic,
Description: Flexible Input Method Framework v5 - Malayalam phonetic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Malayalam phonetic table used by the Fcitx5 table engine.

Package: fcitx5-table-rustrad
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-rustrad,
Description: Flexible Input Method Framework v5 - Rustrad table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Rustrad table used by the Fcitx5 table engine.

Package: fcitx5-table-tamil-remington
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-tamil-remington,
Description: Flexible Input Method Framework v5 - Tamil Remington table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Tamil Remington table used by the Fcitx5 table engine.

Package: fcitx5-table-thai
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-thai,
Description: Flexible Input Method Framework v5 - Thai table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Thai table used by the Fcitx5 table engine.

Package: fcitx5-table-translit
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-translit,
Description: Flexible Input Method Framework v5 - Translit table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Translit table used by the Fcitx5 table engine.

Package: fcitx5-table-translit-ua
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-translit-ua,
Description: Flexible Input Method Framework v5 - Ukrainian Translit table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ and Qt IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Ukrainian Translit table used by the Fcitx table
 engine.

Package: fcitx5-table-viqr
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-table,
 ${misc:Depends},
Conflicts:
 fcitx-table-viqr,
Description: Flexible Input Method Framework v5 - Viqr table

## fcitx5-table-other 5.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(fcitx-table-other VERSION 5.0.7)
+project(fcitx-table-other VERSION 5.0.8)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-other (5.0.8-1) UNRELEASED; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 22 Apr 2022 17:31:13 +0800

fcitx5-table-other (5.0.8-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 10:59:20 -0400

## fcitx5-table-other 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(fcitx-table-other VERSION 5.0.8)
+project(fcitx-table-other VERSION 5.0.10)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== icons/CMakeLists.txt ===
install(DIRECTORY 24x24 32x32 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-table-other (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:07:45 -0400

fcitx5-table-other (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:25:54 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-table-other
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-other.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-other

## fcitx5-table-other 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(fcitx-table-other VERSION 5.0.10)
+project(fcitx-table-other VERSION 5.1.0)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-other (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 14:54:13 -0400

fcitx5-table-other (5.0.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/not-installed: Update capture patterns.

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Jun 2023 16:26:07 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-table-other
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-other.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-other

## fcitx5-table-other 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(fcitx-table-other VERSION 5.1.0)
+project(fcitx-table-other VERSION 5.1.3)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-other (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 09:17:14 -0400

fcitx5-table-other (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 14:14:43 -0400

fcitx5-table-other (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Mar 2024 10:09:59 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-table-other
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-other.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-other

## fcitx5-table-other 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(fcitx-table-other VERSION 5.1.3)
+project(fcitx-table-other VERSION 5.1.4)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-table-other (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 13:13:08 -0500

## fcitx5-table-other 5.1.5

=== icons/CMakeLists.txt ===
install(DIRECTORY 16x16 22x22 24x24 32x32 48x48 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== debian/changelog ===
fcitx5-table-other (5.1.5-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:55:52 -0400

fcitx5-table-other (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:09:50 -0400

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  libboost-dev,
- libfcitx5utils-dev,
+ libfcitx5utils-dev (>= 5.1.14-4~),
  libime-bin,
  libimecore-dev,
  libimetable-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-table-other
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-table-other.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-table-other
@@ -337,4 +337,3 @@
  ${misc:Depends},
 Conflicts:
  fcitx-table-viqr,
-Description: Flexible Input Method Framework v5 - Viqr table

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-table-other/ \
 fcitx5-table-other-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
